package com.fjhx.service.quality;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.quality.QualityTesting;
import com.fjhx.entity.water.WaterTag;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 质检 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
public interface QualityTestingService extends StorageBaseService<QualityTesting> {

    Page<Map<String, Object>> getPage(Condition condition);

    void create(List<WaterTag> waterTagList);

    void edit(int changeNum, Long qualityTestingId);

    Map<String, Object> details(Condition condition);

    void submit(Condition condition);

    Map<String, Object> recordStatistics(Condition condition);

    Page<Map<String, Object>> recordPage(Condition condition);

}
